Query executed orders
curl --request POST \
--url https://whitebit.com/api/v4/trade-account/order/history \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"market": "BTC_USDT",
"offset": 0,
"limit": 50,
"request": "{{request}}",
"nonce": "{{nonce}}"
}
'import requests
url = "https://whitebit.com/api/v4/trade-account/order/history"
payload = {
"market": "BTC_USDT",
"offset": 0,
"limit": 50,
"request": "{{request}}",
"nonce": "{{nonce}}"
}
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
market: 'BTC_USDT',
offset: 0,
limit: 50,
request: '{{request}}',
nonce: '{{nonce}}'
})
};
fetch('https://whitebit.com/api/v4/trade-account/order/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"BTC_USDT": [
{
"amount": "0.0009",
"price": "40000",
"type": "limit",
"id": 4986126152,
"client_order_id": "customId11",
"side": "sell",
"ctime": 1597486960.311311,
"takerFee": "0.001",
"ftime": 1597486960.311332,
"makerFee": "0.001",
"deal_fee": "0.041258268",
"deal_stock": "0.0009",
"deal_money": "41.258268",
"postOnly": false,
"ioc": false,
"status": "CANCELED",
"feeAsset": "USDT",
"stp": "no",
"rpi": false
}
]
}{
"code": 30,
"message": "Validation failed",
"errors": {}
}{
"code": 30,
"message": "Validation failed",
"errors": {}
}Query executed orders
Query recently executed spot orders with optional filtering by market via the WhiteBIT V4 API.
POST
/
api
/
v4
/
trade-account
/
order
/
history
Query executed orders
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
Trading pair to filter by. Format: BASE_QUOTE (e.g., BTC_USDT). Omit to retrieve orders across all markets.
Example:
"BTC_USDT"
Number of records to skip. Default: 0.
Required range:
x >= 0Example:
0
Maximum number of records to return. Default: 50. Minimum: 1. Maximum: 500.
Required range:
1 <= x <= 500Example:
50
Example:
"{{request}}"
Example:
"{{nonce}}"
Response
Successful response - returns order history grouped by market. Empty response if order is not yours.
Object with market names as keys, each containing an array of orders
Show child attributes
Show child attributes
Was this page helpful?
⌘I